FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 04-14-2012, 12:48 PM
Pandu Poluan
 
Default LVM dependencies?

I just want to know, what dependencies LVM rely on?


I tried searching, but my Google-fu only managed to return threads about people having some problems with LVM (*not* that LVM is problematic, just some people having some problems and being guided to troubleshoot).



Rgds,
 
Old 04-14-2012, 01:55 PM
Florian Philipp
 
Default LVM dependencies?

Am 14.04.2012 14:48, schrieb Pandu Poluan:
> I just want to know, what dependencies LVM rely on?
>
> I tried searching, but my Google-fu only managed to return threads about
> people having some problems with LVM (*not* that LVM is problematic,
> just some people having some problems and being guided to troubleshoot).
>
> Rgds,
>

You mean package dependencies?

DEPEND_COMMON="!!sys-fs/device-mapper
readline? ( sys-libs/readline )
clvm? ( =sys-cluster/dlm-2*
cman? ( =sys-cluster/cman-2* ) )
>=sys-fs/udev-151-r4"

RDEPEND="${DEPEND_COMMON}
!<sys-apps/openrc-0.4
!!sys-fs/lvm-user
!!sys-fs/clvm
>=sys-apps/util-linux-2.16"

# Upgrading to this LVM will break older cryptsetup
RDEPEND="${RDEPEND}
!<sys-fs/cryptsetup-1.1.2"

DEPEND="${DEPEND_COMMON}
dev-util/pkgconfig
>=sys-devel/binutils-2.20.1-r1"

Or direct dynamically linked libraries?
equery files -f obj sys-fs/lvm2 | xargs ldd 2>/dev/null

Or kernel features?
 
Old 04-14-2012, 04:10 PM
Pandu Poluan
 
Default LVM dependencies?

On Apr 14, 2012 8:59 PM, "Florian Philipp" <lists@binarywings.net> wrote:

>

> Am 14.04.2012 14:48, schrieb Pandu Poluan:

> > I just want to know, what dependencies LVM rely on?

> >

> > I tried searching, but my Google-fu only managed to return threads about

> > people having some problems with LVM (*not* that LVM is problematic,

> > just some people having some problems and being guided to troubleshoot).

> >

> > Rgds,

> >

>

> You mean package dependencies?

>

> DEPEND_COMMON="!!sys-fs/device-mapper

> * * * *readline? ( sys-libs/readline )

> * * * *clvm? ( =sys-cluster/dlm-2*

> * * * * * * * * * * * *cman? ( =sys-cluster/cman-2* ) )

> * * * *>=sys-fs/udev-151-r4"

>

> RDEPEND="${DEPEND_COMMON}

> * * * *!<sys-apps/openrc-0.4

> * * * *!!sys-fs/lvm-user

> * * * *!!sys-fs/clvm

> * * * *>=sys-apps/util-linux-2.16"

>

> # Upgrading to this LVM will break older cryptsetup

> RDEPEND="${RDEPEND}

> * * * * * * * *!<sys-fs/cryptsetup-1.1.2"

>

> DEPEND="${DEPEND_COMMON}

> * * * * * * * *dev-util/pkgconfig

> * * * * * * * *>=sys-devel/binutils-2.20.1-r1"

>

> Or direct dynamically linked libraries?

> equery files -f obj sys-fs/lvm2 | xargs ldd 2>/dev/null

>

> Or kernel features?

>


The libraries, actually. Sadly I currently don't have access to a Gentoo box, so I would really appreciate it if I can get the output of the ldd.


Rgds,
 

Thread Tools




All times are GMT. The time now is 03:23 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org